<div id="password-content-wrapper" {% if section.settings.bg_img %} style="background-image: url('{{ section.settings.bg_img | img_url: '1600x' }} ')" {% endif %}>

  <header id="password-header">

    <h1 itemscope itemtype="//schema.org/Organization">
  
      {% if section.settings.logo_src %}
        <a class="logo-img" href="/" itemprop="url">
          <img src="{{ section.settings.logo_src | img_url: 'master' }}" alt="{{ shop.name }}" style="max-width: {{ section.settings.logo_width | escape }}px;" />
        </a>
      {% else %}
        <a class="logo-txt" href="/" itemprop="url">{{ shop.name }}</a>
      {% endif %}

    </h1>

    <h2>{{ 'password.opening_soon' | t }}</h2>

    <p class="password-login">
      <a href="#login-modal" class="js-toggle-login-modal" data-mfp-src="#login-modal">
        {% include 'asset_svg' with 'lock' %}
        {{ 'password.password_link' | t }}
      </a>
    </p>

  </header>

  <main id="password-content">

    {% unless shop.password_message == blank %}
      <p class="password-form-heading" style="margin-bottom: 30px;">
        {{ shop.password_message }}
      </p>
    {% endunless %}

    <div class="form">
      {% form 'customer' %}
        {% if form.posted_successfully? %}
          <p class="password-form-heading" style="margin-bottom: 30px">{{ 'password.signup_form_success' | t }}</p>
        {% else %}
          <input type="hidden" name="contact[tags]" value="prospect, password page">
          <label for="email" class="hidden-label">{{ 'password.signup_form_email_label' | t }}</label>
          <div class="password-input-group clearfix">
            <input type="text" name="contact[email]" id="email" placeholder="{{ 'password.signup_form_email_placeholder' | t }}" autofocus>
            <input type="submit" name="commit" value="{{ 'password.signup_form_submit' | t }}">
            {{ form.errors | default_errors }}
          </div>
        {% endif %}
      {% endform %}
    </div>

    {% unless section.settings.content == blank %}
      <div class="rte">{{ section.settings.content }}</div>
    {% endunless %}

  </main>

</div>

<footer id="password-footer" role="contentinfo">

  {% if section.settings.site_sharing %}
    {% include 'social_sharing' %}
  {% endif %}

  {% capture shopify %}
    <a class="shopify-link" href="//www.shopify.com" target="_blank" title="Create your own online store with Shopify">
      {% include 'asset_svg' with 'shopify' %}
      <span class="shopify-name">Shopify</span>
    </a>
  {% endcapture %}

  {{ 'password.powered_by_shopify_html' | t: shopify: shopify }}

</footer>

{% schema %}
  {
    "name": "Password page",
    "class": "password_page",
    "settings": [
      {
        "type": "image_picker",
        "id": "logo_src",
        "label": "Logo image"
      },
      {
        "type": "range",
        "id": "logo_width",
        "label": "Logo image width",
        "unit": "px",
        "min": 20,
        "max": 400,
        "step": 5,
        "default": 100
      },
      {
        "type": "richtext",
        "id": "content",
        "label": "Newsletter caption",
        "default": "<p>Be the first to know when we launch.</p><p>Read our <a href='#'>privacy policy</a>.</p>"
      },
      {
        "type": "checkbox",
        "id": "site_sharing",
        "label": "Enable sharing on password page",
        "default": true
      },
      {
        "type": "image_picker",
        "id": "bg_img",
        "label": "Background image"
      }
    ]
  }
{% endschema %}